//#define XERR
#include "growth.ih"

void Growth::writeParameters(ostream &out) const
{
    VSD::fmt(1, 2, 0, 3);               // used at selfDetect

    out << "    Growth:\n"
           "      diameters:\n" <<
           setw(6) << ' ' << "start:                 " << 
                                        setw(4) << d_start << '\n' <<
           setw(6) << ' ' << "self-detect std.dev.:  " << 
                                        setw(4) << d_selfSD << '\n' <<
           setw(6) << ' ' << "self-detect mean:      " << 
                                        d_selfMean << '\n';

    AgeGroupVSD::fmt(8, 1, 2, 0, 2);
    out << setw(6) << ' ' << "DoublingTime:\n" <<
           d_doublingTime << '\n';
}
